%define	name	gpgp
%define	version	0.4
%define	release	 %mkrel 12

Summary:	GUI shell for GnuPG
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Other
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-buildroot.patch.bz2
URL:		http://www.geocities.com/SiliconValley/Chip/3708/gpgp/gpgp.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libgnome-devel

%description
GnomePGP is a GNOME application - a GUI shell for GnuPG.

%prep
%setup -q
%patch0 -p1
perl -pi -e "s#-Wall -g#-Wall \\$\(RPM_OPT_FLAGS\)#g" src/Makefile.in

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std BUILD_ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=gpgp
Name=Gpgp
Comment=A front end for Gnupg
Icon=file_tools_section
Categories=X-MandrivaLinux-System-FileTools;System;
EOF

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%endif
 
%if %mdkversion < 200900
%postun
%{clean_menus}   
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%dir %{_includedir}/gpgp
%{_includedir}/gpgp/*
%{_datadir}/gnome/apps/Applications/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-12mdv2009.0
+ Revision: 246533
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4-10mdv2008.1
+ Revision: 131548
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import gpgp


* Mon Mar 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4-10mdk
- use the correct macro for menudir
- quiet setup
- wipe out buildroot in %%install, not %%prep
- cosmetics
- compile with optimizations

* Sat Nov 06 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4-9mdk
- add BuildRequires: libgnome-devel

* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4-8mdk
- rebuild

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4-7mdk
- rebuild

* Wed Jan 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4-6mdk
- icon

* Thu Jul 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-5mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-4mdk
- rebuild

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-3mdk
- macros
- BM

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-2mdk
- fix group
- fix permission on sources

* Wed Dec 22 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fix location of files

* Wed Sep  8 1999 Peter Hanecak <hanecak@megaloman.sk>
- initial spec
